Bug 175460 - hosts.deny matches on non-matching hosts
hosts.deny matches on non-matching hosts
Product: Fedora
Classification: Fedora
Component: tcp_wrappers (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Janousek
David Lawrence
: Security
Depends On:
  Show dependency treegraph
Reported: 2005-12-10 21:13 EST by Matt Castelein
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-18 06:19:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matt Castelein 2005-12-10 21:13:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5) Gecko/20051012 Netscape/8.0.4

Description of problem:
tcp_wrappers is denying connections from after commenting out line by line in hosts.deny I have determined it is matching on the line "ALL:"

I also modified this to "ALL:209.234." and it still matches.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.I uncomment the line in hosts.deny
2.requests from are denied

Actual Results:  I was unable to connect to the computer from the local subnet

Expected Results:  I should have been able to connect

Additional info:
Comment 1 Tomas Janousek 2007-01-17 08:23:48 EST
I can't reproduce this, what service do you connect to?
Is this still of an issue?
Comment 2 Matt Castelein 2007-01-17 09:23:42 EST
The services we were trying to use were SSH and telnet.  We have since moved to
FC5 and are now using iptables, therefore I am uncertain if this problem still
Comment 3 Tomas Janousek 2007-01-18 06:19:17 EST
I was unable to reproduce this with SSH neither so I'm closing with WORKSFORME.
Feel free to reopen (and change the distro version) if you encounter this issue

Note You need to log in before you can comment on or make changes to this bug.